Name:         bwbasic
Summary:      A Basic interpreter
Version:      2.60
Release:      1
License:      GNU General Public License (GPL)
Group:        Development/Languages/Other
URL:          http://sourceforge.net/projects/bwbasic/
BuildRequires: unzip
BuildRequires: autoconf
BuildRequires: automake
Source0:      %{name}-%{version}.zip
Source1:      %{name}.desktop
Source2:      %{name}.png
Patch1:       bwbasic-2.50-implicit_definitions.patch
Patch2:       bwbasic-2.50-optflags.patch
Patch3:       bwbasic-2.50-overflow.patch
Patch4:       bwbasic-2.50-errfdevice.patch
Patch5:       bwbasic-2.50-save_startposition.patch
Patch6:       bwbasic-2.50-silence.patch
Patch7:       bwbasic-2.50-docu.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The Bywater BASIC Interpreter (bwBASIC) implements a large superset of the ANSI
Standard for Minimal BASIC (X3.60-1978) and a significant subset of the ANSI
Standard for Full BASIC (X3.113-1987) in C.

It also offers shell programming facilities as an extension of BASIC. bwBASIC
seeks to be as portable as possible.


Authors:
--------
    Ted A. Campbell <tcamp@delphi.com>

%prep
%setup -q -T -c %name -a0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
chmod +x configure

%build
cp /usr/share/automake-1.??/install-sh .
autoconf
%configure
make %{?jobs:-j%jobs} CFLAGS="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -Dm755 bwbasic $RPM_BUILD_ROOT/%{_bindir}/%{name}
install -d $RPM_BUILD_ROOT/usr/lib/%{name}
install -m 644 bwbtest/* $RPM_BUILD_ROOT/usr/lib/%{name}
install -Dm644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
install -Dm644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README* bwbasic.doc COPYING
%{_bindir}/%{name}
/usr/lib/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Nov 25 2012 Frank Cox <theatre@melvilletheatre.com>
- New upstream version 2.60
- Rebuild for Centos 6
* Fri Aug 10 2012 Huaren Zhong <huaren.zhong@gmail.com> - 2.50
- Rebuild for Fedora
* Mon Jul 27 2009 lars@linux-schulserver.de
- update to 2.50:
  + main change was support for CMS
    (another IBM mainframe - last release added MVS)
  + New build procedure for MVS and CMS
  + some bug fixes
- adapted patches for new version
- added bwbasic-2.50-docu.patch
* Thu Jan 15 2009 lars@linux-schulserver.de
- added debian patches:
  + bwbasic-2.20pl2-silence.patch (usage of stderr)
  + bwbasic-2.20pl2-save_startposition.patch (self explaining)
  + bwbasic-2.20pl2-overflow.patch (fixed buffer overflow)
- added bwbasic-2.20pl2-optflags.patch for renum.c
- added bwbasic-2.20pl2-uninitialized-variable.patch
* Wed Oct  8 2008 lars@linux-schulserver.de
- added bwbasic-2.20pl2-gcc-warnings.patch
* Mon Sep 22 2008 lars@linux-schulserver.de
- moved to Education base repository
* Mon May 19 2008 lars@linux-schulserver.de
- added URL
- fix desktop file category
* Mon Apr 21 2008 lars@linux-schulserver.de
- package reduxed for openSUSE-Education
* Wed Apr  3 2002 ro@suse.de
- automake is in /usr/share/automake-1.6 currently, use wildcard in specfile
* Mon Apr 23 2001 cihlar@suse.cz
- fixed warnings on ia64
* Mon Oct 30 2000 cihlar@suse.cz
- bzipped sources
- added suse_update_config
- used RPM_OPT_FLAGS
* Mon May 15 2000 cihlar@suse.cz
- Group sorted
* Tue Apr  4 2000 cihlar@suse.cz
- upgrade to version 2.20 patch level 2
- added BuildRoot
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 22 1998 ro@suse.de
- update to version 2.20 pl 1
